include (jslib_dirutils);
include (jslib_prefs);

function MIPrefs() 
{
  var dirUtils = new DirUtils();

  this.prefs = new Prefs();
  this.homeDir = this.prefs.getChar("mozimage.home_directory");
  if (this.homeDir == "")
  {
    this.homeDir = dirUtils.getCurProcDir();
  }
  this.extList = new Array("jpg", "jpeg", "gif", "bmp", "png");
}

MIPrefs.prototype = {

/* getHomeDir */
getHomeDir : function () { return(this.homeDir); },

/* setHomeDir */
setHomeDir : function (aValue) { this.homeDir = aValue; },

/* getExtList */
getExtList : function () { return(this.extList); },

/* setExtList */
setExtList : function (aValue) { this.extList = aValue; },

/* save */
save : function () {
  this.prefs.setChar("mozimage.home_directory", this.homeDir); 
  }

} // END CLASS
  